> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# パスワードのリセット

> メールで送られたトークンを使ってパスワードを再設定するエンドポイントです。

## POST /auth/reset-password

メールに記載されたトークンを用いて、アカウントの新しいパスワードを設定します。

### リクエストボディ

<ParamField body="token" type="string" required>
  メールに含まれるパスワード再設定用トークン。
</ParamField>

<ParamField body="newPassword" type="string" required>
  新しいパスワード。8 文字以上である必要があります。
</ParamField>

### レスポンス

<ResponseField name="success" type="boolean">
  パスワードの再設定が成功したかどうか。
</ResponseField>

<ResponseField name="message" type="string">
  確認メッセージ。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.llmgenerator.com/api/v1/auth/reset-password \
    -H "Content-Type: application/json" \
    -d '{
          "token": "PASSWORD_RESET_TOKEN",
          "newPassword": "newSecurePassword123"
        }'
  ```
</RequestExample>

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "message": "Password has been reset successfully."
  }
  ```
</ResponseExample>
